# Uses of Class
java.net.ServerSocket

Packages that use ServerSocket
Package
Description
java.net
Provides the classes for implementing networking applications.
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.
java.rmi.server
Provides classes and interfaces for supporting the server side of RMI.
javax.net
Provides classes for networking applications.
javax.net.ssl
Provides classes for the secure socket package.
javax.rmi.ssl
Provides implementations of `RMIClientSocketFactory` and `RMIServerSocketFactory` over the Secure Sockets Layer (SSL) or Transport Layer Security (TLS) protocols.
jdk.net
Platform specific socket options for the `java.net` and `java.nio.channels` socket classes.

## Uses of ServerSocket in java.net

Methods in java.net that return ServerSocket
Modifier and Type
Method
Description
`<T> ServerSocket`
ServerSocket.`setOption​(SocketOption<T> name, T value)`
Sets the value of a socket option.

## Uses of ServerSocket in java.nio.channels

Methods in java.nio.channels that return ServerSocket
Modifier and Type
Method
Description
`abstract ServerSocket`
ServerSocketChannel.`socket()`
Retrieves a server socket associated with this channel.

## Uses of ServerSocket in java.rmi.server

Methods in java.rmi.server that return ServerSocket
Modifier and Type
Method
Description
`ServerSocket`
RMIServerSocketFactory.`createServerSocket​(int port)`
Create a server socket on the specified port (port 0 indicates an anonymous port).
`abstract ServerSocket`
RMISocketFactory.`createServerSocket​(int port)`
Create a server socket on the specified port (port 0 indicates an anonymous port).

## Uses of ServerSocket in javax.net

Methods in javax.net that return ServerSocket
Modifier and Type
Method
Description
`ServerSocket`
ServerSocketFactory.`createServerSocket()`
Returns an unbound server socket.
`abstract ServerSocket`
ServerSocketFactory.`createServerSocket​(int port)`
Returns a server socket bound to the specified port.
`abstract ServerSocket`
ServerSocketFactory.`createServerSocket​(int port, int backlog)`
Returns a server socket bound to the specified port, and uses the specified connection backlog.
`abstract ServerSocket`
ServerSocketFactory.`createServerSocket​(int port, int backlog, InetAddress ifAddress)`
Returns a server socket bound to the specified port, with a specified listen backlog and local IP.

## Uses of ServerSocket in javax.net.ssl

Subclasses of ServerSocket in javax.net.ssl
Modifier and Type
Class
Description
`class`
`SSLServerSocket`
This class extends `ServerSocket` and provides secure server sockets using protocols such as the Secure Sockets Layer (SSL) or Transport Layer Security (TLS) protocols.

## Uses of ServerSocket in javax.rmi.ssl

Methods in javax.rmi.ssl that return ServerSocket
Modifier and Type
Method
Description
`ServerSocket`
SslRMIServerSocketFactory.`createServerSocket​(int port)`
Creates a server socket that accepts SSL connections configured according to this factory's SSL socket configuration parameters.

## Uses of ServerSocket in jdk.net

Methods in jdk.net with parameters of type ServerSocket
Modifier and Type
Method
Description
`static <T> T`
Sockets.`getOption​(ServerSocket s, SocketOption<T> name)`
Deprecated.
use `getOption(SocketOption)` instead.
`static <T> void`
Sockets.`setOption​(ServerSocket s, SocketOption<T> name, T value)`
Deprecated.
use `setOption(SocketOption, Object)` instead.